Bug 835617

Summary: Review Request: roundcubemail-plugins-kolab - Kolab plugins for Roundcube
Product: [Fedora] Fedora Reporter: Jeroen van Meeuwen <vanmeeuwen+fedora>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: cwickert, otto.liljalaakso, package-review, zdenek
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-22 00:45:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449    

Description Jeroen van Meeuwen 2012-06-26 15:32:38 UTC
Spec URL: http://git.kolabsys.com/rpm/roundcubemail-plugins-kolab/plain/roundcubemail-plugins-kolab.spec
SRPM URL: http://mirror.kolabsys.com/pub/fedora/kolab-3.0/f17/development/SRPMS/roundcubemail-plugins-kolab-3.0-0.11.fc17.kolab_3.0.src.rpm
Description: Kolab Groupware plugins for the Roundcube webmail interface, enabling Roundcube to use Calendars and Addressbooks stored on a Kolab server.
Fedora Account System Username: kanarip

Comment 1 Gwyn Ciesla 2012-06-26 16:01:06 UTC
Initial notes:


See the following for proper git snapshot versioning.

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

roundcubemail-plugins-kolab.spec:22: W: unversioned-explicit-obsoletes roundcubemail-kolab
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

roundcubemail-plugins-kolab.noarch: W: self-obsoletion roundcubemail-kolab obsoletes roundcubemail-kolab = 3.0-0.11.fc17

Several files in /etc/roundcubemail/ that are 640, should be 644.

roundcubemail-plugins-kolab.src: W: invalid-license GPL


Should be GPLv3+

Comment 2 Jeroen van Meeuwen 2012-06-28 12:52:27 UTC
(In reply to comment #1)
> Initial notes:
> 
> 
> See the following for proper git snapshot versioning.
> 
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
> 

Corrected to include the date the snapshot is taken, and the short rev used.

I'm going to have to keep the 0.12 prefix and can't go with simply 0.git$date.$rev yet, as 0.11 is already out there.

For snapshots, I target to use 0.$x.git<rev> if that's OK with you.

> roundcubemail-plugins-kolab.spec:22: W: unversioned-explicit-obsoletes
> roundcubemail-kolab
> The specfile contains an unversioned Obsoletes: token, which will match all
> older, equal and newer versions of the obsoleted thing.  This may cause
> update
> problems, restrict future package/provides naming, and may match something it
> was originally not inteded to match -- make the Obsoletes versioned if
> possible.
> 

Updated to obsolete only roundcubemail-kolab < %{version}-%{release}

> roundcubemail-plugins-kolab.noarch: W: self-obsoletion roundcubemail-kolab
> obsoletes roundcubemail-kolab = 3.0-0.11.fc17
> 

Corrected by versioning the obsoletes.

> Several files in /etc/roundcubemail/ that are 640, should be 644.
> 

This is deliberate - only the apache user/group and superusers should be able to read these files (they likely contain passwords to access databases, LDAP and IMAP with privileged accounts). Other POSIX users should not have read access to these files.

> roundcubemail-plugins-kolab.src: W: invalid-license GPL
> 
> Should be GPLv3+

Corrected.

Spec URL: http://git.kolabsys.com/rpm/roundcubemail-plugins-kolab/plain/roundcubemail-plugins-kolab.spec
SRPM URL: http://mirror.kolabsys.com/pub/fedora/kolab-3.0/f17/development/SRPMS/roundcubemail-plugins-kolab-3.0-0.13.git20120628.c5c41f7f.fc17.kolab_3.0.src.rpm

Comment 5 Package Review 2020-07-10 00:46:01 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time, but it seems
that the review is still being working out by you. If this is right, please
respond to this comment clearing the NEEDINFO flag and try to reach out the
submitter to proceed with the review.

If you're not interested in reviewing this ticket anymore, please clear the
fedora-review flag and reset the assignee, so that a new reviewer can take
this ticket.

Without any reply, this request will shortly be resetted.

Comment 6 Package Review 2020-11-13 00:45:36 UTC
This is an automatic action taken by review-stats script.

The ticket reviewer failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we reset the status and the assignee of this ticket.

Comment 7 Otto Liljalaakso 2021-05-22 07:25:33 UTC
This review request is really old. If you still want to include this package in Fedora, please clear the needinfo tag and explain how you intend to continue. I can review. Otherwise, just leave the tag in place and this request should be automatically closed in a month.

Links are dead, so the first thing would be to provide new, working ones.

Comment 8 Package Review 2021-06-22 00:45:32 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.